From: "Bernard Cafarelli" <voyageur@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/windowmaker/
Date: Tue, 7 Apr 2020 15:57:41 +0000 (UTC) [thread overview]
Message-ID: <1586274371.6969ea122a627841089788b1c61dfcb1b0277954.voyageur@gentoo> (raw)
commit: 6969ea122a627841089788b1c61dfcb1b0277954
Author: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 7 15:46:11 2020 +0000
Commit: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Tue Apr 7 15:46:11 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6969ea12
x11-wm/windowmaker: 0.95.9 bump
Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>
x11-wm/windowmaker/Manifest | 1 +
x11-wm/windowmaker/windowmaker-0.95.9.ebuild | 108 +++++++++++++++++++++++++++
2 files changed, 109 insertions(+)
diff --git a/x11-wm/windowmaker/Manifest b/x11-wm/windowmaker/Manifest
index d1a8f49c43d..203c74888ef 100644
--- a/x11-wm/windowmaker/Manifest
+++ b/x11-wm/windowmaker/Manifest
@@ -1,2 +1,3 @@
DIST WindowMaker-0.95.8.tar.gz 3253515 BLAKE2B 225dae9eb10f913931e129fdf78860123a14406ad8e61ba42fe4eadcf5d3f03c88040a2b982e74abaf79088f4a063291ccfb7b7d42f1bf211adb7b02c765a664 SHA512 6ab16ed4304aba20f0f3a4083adf63a47fa674ade7bc39aaa8aa6466c7842e3f10ab73af96e2afce0842b11c57a35eb69f43183a4044d8cd95d4e2a4d2c079a2
+DIST WindowMaker-0.95.9.tar.gz 3397167 BLAKE2B ec751fe0139b359933f4388f8dac3f2bf18db1f28fb4cb290d86db1ded9ffdab0cf51b451e28475bc51ee2735cb71c7fd2b01fa7472f5f0f4f1a1e00e1509339 SHA512 ca3ddc863f5b5b782e90f38c0019fe14d1109d6b11d0a3d5d6c728ddc1817747eea92e22e36933d445e72c70661e039ee56efa70f2654657c8980269fd5b4584
DIST WindowMaker-extra-0.1.tar.gz 238018 BLAKE2B 865b12975d0cdefc1f05a76344b449fdcf8a2841d6a7adf1ab6435857d89cbc4fda22bb62432a1bbba921267380d00a0cded718bfbd344bbb5e6207e59b76096 SHA512 0fe9b3ffc093942db167d8a01e15c0f6741f3a40959d1434ea4f23e7b9d4a9c13935a61eabef9691e5fdfd4e407564caafce15c2d65d66499960a6764a874ab8
diff --git a/x11-wm/windowmaker/windowmaker-0.95.9.ebuild b/x11-wm/windowmaker/windowmaker-0.95.9.ebuild
new file mode 100644
index 00000000000..a11fcfdcd36
--- /dev/null
+++ b/x11-wm/windowmaker/windowmaker-0.95.9.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools eutils
+
+DESCRIPTION="The fast and light GNUstep window manager"
+HOMEPAGE="http://www.windowmaker.org/"
+SRC_URI="http://windowmaker.org/pub/source/release/${P/windowm/WindowM}.tar.gz
+ http://www.windowmaker.org/pub/source/release/WindowMaker-extra-0.1.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+IUSE="gif imagemagick jpeg modelock nls png tiff webp xinerama +xpm xrandr"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+DEPEND="media-libs/fontconfig
+ >=x11-libs/libXft-2.1.0
+ x11-libs/libXmu
+ x11-libs/libXpm
+ x11-libs/libXt
+ x11-libs/libXv
+ gif? ( >=media-libs/giflib-4.1.0-r3 )
+ imagemagick? ( >=media-gfx/imagemagick-7:0= )
+ jpeg? ( virtual/jpeg:0= )
+ png? ( media-libs/libpng:0= )
+ tiff? ( media-libs/tiff:0 )
+ webp? ( media-libs/libwebp )
+ xinerama? ( x11-libs/libXinerama )
+ xrandr? ( x11-libs/libXrandr )"
+RDEPEND="${DEPEND}
+ nls? ( >=sys-devel/gettext-0.10.39 )"
+
+S=${WORKDIR}/${P/windowm/WindowM}
+
+DOCS=( AUTHORS BUGFORM BUGS ChangeLog INSTALL INSTALL-WMAKER FAQ
+ NEWS README README.definable-cursor README.i18n TODO )
+PATCHES=( "${FILESDIR}"/${PN}-0.95.8-configure_default_search_paths.patch )
+
+src_prepare() {
+ # Fix some paths
+ for file in WindowMaker/*menu* util/wmgenmenu.c; do
+ if [[ -r $file ]] ; then
+ sed -i -e "s|/usr/local/GNUstep/Applications/WPrefs.app|${EPREFIX}/usr/bin/|g;" "$file" || die
+ sed -i -e "s|/usr/local/share/WindowMaker|${EPREFIX}/usr/share/WindowMaker|g;" "$file" || die
+ sed -i -e "s|/opt/share/WindowMaker|${EPREFIX}/usr/share/WindowMaker|g;" "$file" || die
+ fi;
+ done;
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+
+ # image format types
+ myconf="$(use_enable imagemagick magick) $(use_enable jpeg) $(use_enable gif) $(use_enable png) $(use_enable tiff) $(use_enable webp) $(use_enable xpm)"
+
+ # non required X capabilities
+ myconf="${myconf} $(use_enable modelock) $(use_enable xrandr randr) $(use_enable xinerama)"
+
+ if use nls; then
+ [[ -z $LINGUAS ]] && export LINGUAS="$(ls po/*.po | sed 's:po/\(.*\)\.po$:\1:' | xargs)"
+ else
+ myconf="${myconf} --disable-locale"
+ fi
+
+ # default settings with $myconf appended
+ econf \
+ --sysconfdir="${EPREFIX}"/etc/X11 \
+ --with-x \
+ --enable-usermenu \
+ --with-pixmapdir="${EPREFIX}"/usr/share/pixmaps \
+ --localedir="${EPREFIX}"/usr/share/locale \
+ ${myconf}
+
+ pushd ../WindowMaker-extra-0.1 || die
+ econf
+}
+
+src_compile() {
+ emake
+
+ # WindowMaker Extra Package (themes and icons)
+ pushd ../WindowMaker-extra-0.1 || die
+ emake
+}
+
+src_install() {
+ default
+
+ # WindowMaker Extra
+ pushd ../WindowMaker-extra-0.1 || die
+ emake DESTDIR="${D}" install
+
+ newdoc README README.extra
+
+ # create wmaker session shell script
+ echo "#!/usr/bin/env bash" > wmaker
+ echo "${EPREFIX}/usr/bin/wmaker" >> wmaker
+ exeinto /etc/X11/Sessions/
+ doexe wmaker
+
+ insinto /usr/share/xsessions
+ doins "${FILESDIR}"/wmaker.desktop
+ make_desktop_entry /usr/bin/wmaker
+}
next reply other threads:[~2020-04-07 15:57 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-07 15:57 Bernard Cafarelli [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-28 6:45 [gentoo-commits] repo/gentoo:master commit in: x11-wm/windowmaker/ Arthur Zamarin
2024-06-24 1:48 Sam James
2024-06-21 22:55 Sam James
2024-06-21 22:55 Sam James
2024-06-21 22:55 Sam James
2024-06-21 22:55 Sam James
2024-06-21 22:26 Sam James
2024-01-07 9:05 Sam James
2023-09-25 20:26 Bernard Cafarelli
2023-08-24 17:01 Bernard Cafarelli
2023-08-24 17:01 Bernard Cafarelli
2023-06-20 18:39 Ulrich Müller
2022-12-16 4:30 Sam James
2022-12-16 1:40 Sam James
2022-12-07 15:42 Sam James
2022-05-22 18:46 Sam James
2021-09-27 14:48 Yixun Lan
2021-02-18 8:51 Bernard Cafarelli
2021-02-18 7:21 Sam James
2021-02-17 3:57 Sam James
2021-02-16 12:34 Sam James
2021-02-16 12:26 Sam James
2021-02-14 3:08 Sam James
2021-01-23 9:29 Bernard Cafarelli
2021-01-06 12:08 Fabian Groffen
2020-07-10 10:54 Sam James
2020-06-13 9:04 Bernard Cafarelli
2020-05-29 20:48 Bernard Cafarelli
2020-04-07 15:57 Bernard Cafarelli
2020-04-07 15:57 Bernard Cafarelli
2019-03-03 23:43 Bernard Cafarelli
2018-10-19 8:51 Michał Górny
2018-05-07 19:12 Sergei Trofimovich
2018-03-02 20:12 Sergei Trofimovich
2018-02-01 20:37 Thomas Deutschmann
2018-01-29 8:22 Tobias Klausmann
2018-01-07 15:01 Bernard Cafarelli
2017-12-25 11:01 Sergei Trofimovich
2017-12-19 10:38 Jason Zaman
2017-03-13 18:01 Bernard Cafarelli
2017-01-05 9:07 Benda XU
2016-10-01 12:05 Jeroen Roovers
2016-07-18 12:25 Bernard Cafarelli
2016-05-31 11:23 Tobias Klausmann
2016-04-11 13:33 Bernard Cafarelli
2016-04-09 14:17 Agostino Sarubbo
2016-04-09 14:14 Agostino Sarubbo
2015-11-02 12:47 Bernard Cafarelli
2015-10-16 14:18 Ian Stakenvicius
2015-08-11 20:25 Bernard Cafarelli
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1586274371.6969ea122a627841089788b1c61dfcb1b0277954.voyageur@gentoo \
--to=voyageur@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox